local NoCombatText = CreateFrame('frame', 'NoCombatText')

nocombattextvars = { saved = false, defaults = { player = true, pet = true, }, opt = { player, pet, }, }

nocombattextsavedvars = {}

function NoCombatText:ADDON_LOADED(addon)
	if addon == 'NoCombatText' then
		if nocombattextsavedvars.saved then
			nocombattextvars.opt = nocombattextsavedvars
		else
			nocombattextvars.opt = nocombattextvars.defaults
			nocombattextsavedvars = nocombattextvars.opt
		end
		if nocombattextvars.opt.player == true then PlayerFrame:UnregisterEvent('UNIT_COMBAT') end
		if nocombattextvars.opt.pet == true then PetFrame:UnregisterEvent('UNIT_COMBAT') end
	end
end

function NoCombatText:PLAYER_LOGOUT()
	nocombattextsavedvars = nocombattextvars.opt
	nocombattextsavedvars.saved = true
end

NoCombatText:RegisterEvent('ADDON_LOADED')
NoCombatText:RegisterEvent('PLAYER_LOGOUT')
NoCombatText:SetScript('OnEvent', function(self, event, ...) self[event](self, ...) end)

function NoCombatText:Print(message)
	local channel = 'CHAT_MSG_SYSTEM'
 	for i=1, NUM_CHAT_WINDOWS do
		local chatframe = _G['ChatFrame'..i]
		if chatframe:IsEventRegistered(channel) then
			chatframe:AddMessage('|cffffff00NoCombatText: '..message..'')
		end
	end
end

SLASH_PLAYERCOMBATTEXT1 = '/playercombattext'
function SlashCmdList:PLAYERCOMBATTEXT()
	if nocombattextvars.opt.player == true then
		PlayerFrame:RegisterEvent('UNIT_COMBAT')
		nocombattextvars.opt.player = false
		NoCombatText:Print("combat text on PLAYER frame is |cffff0000SHOWN")
	else
		PlayerFrame:UnregisterEvent('UNIT_COMBAT')
		nocombattextvars.opt.player = true
		NoCombatText:Print("combat text on PLAYER frame is |cff00ff00HIDDEN")
	end
end
SLASH_PETCOMBATTEXT1 = '/petcombattext'
function SlashCmdList:PETCOMBATTEXT()
	if nocombattextvars.opt.pet == true then
		PetFrame:RegisterEvent('UNIT_COMBAT')
		nocombattextvars.opt.pet = false
		NoCombatText:Print("combat text on PET frame is |cffff0000SHOWN")
	else
		PetFrame:UnregisterEvent('UNIT_COMBAT')
		nocombattextvars.opt.pet = true
		NoCombatText:Print("combat text on PET frame is |cff00ff00HIDDEN")
	end
end